Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Class CanRetryException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOCanRetryException
                                    |
                                    +--kodo.util.CanRetryException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GeneralException

public class CanRetryException
extends JDOCanRetryException
implements Serializable

Serializable extensions of the `JDOCanRetryException`.

Since:
  2.5
See Also:
  Serialized Form

Constructor Summary
`CanRetryException()`
`CanRetryException(String msg)`
`CanRetryException(String msg, Object failed)`
`CanRetryException(String msg, Throwable nested)`
`CanRetryException(String msg, Throwable[] nested)`
`CanRetryException(String msg, Throwable[] nested, Object failed)`
`CanRetryException(String msg, Throwable nested, Object failed)`

Method Summary
`protected CanRetryException` | `newSerializableInstance(String msg, Throwable[] nested, Object failed)` Return a new instance of this class with the given state, and add any additional serializable state from this instance.
`String` | `toString()` Bypass the standard `JDOException.toString()` method, since it has the potential for infinite recursion if the failed object references persistent fields whose access may cause another exception.
`Object` | `writeReplace()`

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CanRetryException

    public CanRetryException()

### CanRetryException

    public CanRetryException(String msg)

### CanRetryException

    public CanRetryException(String msg,
                             Object failed)

### CanRetryException

    public CanRetryException(String msg,
                             Throwable nested)

### CanRetryException

    public CanRetryException(String msg,
                             Throwable[] nested)

### CanRetryException

    public CanRetryException(String msg,
                             Throwable nested,
                             Object failed)

### CanRetryException

    public CanRetryException(String msg,
                             Throwable[] nested,
                             Object failed)

Method Detail

### writeReplace

    public Object writeReplace()
                        throws ObjectStreamException

### newSerializableInstance

    protected CanRetryException newSerializableInstance(String msg,
                                                        Throwable[] nested,
                                                        Object failed)

  Return a new instance of this class with the given state, and add any additional serializable state from this instance.

### toString

    public String toString()

  Bypass the standard `JDOException.toString()` method, since it has the potential for infinite recursion if the failed object references persistent fields whose access may cause another exception.
  Overrides:
    `toString` in class `JDOException`
  Since:
    3.2

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.